org.apache.uima.collection.metadata

## Interface CasProcessorDeploymentParams

-     public interface CasProcessorDeploymentParams

  An object that contains all `CasProcessorDeploymentParam` instances. Provides the means to add, get, and delete deployment parameters.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CasProcessorDeploymentParam aParam)` Adds new `CasProcessorDeploymentParam` param
    `CasProcessorDeploymentParam` | `get(String aParamName)` Returns `CasProcessorDeploymentParam` instance identified by aParamName.
    `CasProcessorDeploymentParam[]` | `getAll()` Returns all instances of `CasProcessorDeploymentParam`
    `void` | `remove(CasProcessorDeploymentParam aParam)` Deletes named instance of `CasProcessorDeploymentParam`

- - ### Method Detail

    - #### add

          void add(CasProcessorDeploymentParam aParam)

      Adds new `CasProcessorDeploymentParam` param
      Parameters:
        `aParam` - - parameter to add

    - #### get

          CasProcessorDeploymentParam get(String aParamName)
                                   throws CpeDescriptorException

      Returns `CasProcessorDeploymentParam` instance identified by aParamName.
      Parameters:
        `aParamName` - - name of the parameter to get
      Returns:
        - instance of `CasProcessorDeploymentParam`
      Throws:
        `CpeDescriptorException` - tbd

    - #### getAll

          CasProcessorDeploymentParam[] getAll()

      Returns all instances of `CasProcessorDeploymentParam`
      Returns:
        - array of `CasProcessorDeploymentParam` instances

    - #### remove

          void remove(CasProcessorDeploymentParam aParam)
               throws CpeDescriptorException

      Deletes named instance of `CasProcessorDeploymentParam`
      Parameters:
        `aParam` - - parameter to remove
      Throws:
        `CpeDescriptorException` - tbd

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.